---
apiVersion: v1
kind: Service
metadata:
  name: _PROJECT_
  namespace: _NS_
  labels:
    app: _PROJECT_
spec:
  ports:
  - name: _PROJECT_
    port: 80
    targetPort: _PROJECT_
  selector:
    app: _PROJECT_

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: _PROJECT_
  labels:
    app: _PROJECT_
  namespace: _PROJECT_
spec:
  replicas: 1
  revisionHistoryLimit: 2
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  selector:
    matchLabels:
      app: _PROJECT_
  template:
    metadata:
      labels:
        app: _PROJECT_
    spec:
      containers:
      - name: _PROJECT_
        image: _REPO_:_VERSION_
        ports:
        - name: _PROJECT_
          containerPort: 80
      imagePullSecrets:
      - name: registrypullsecret